List following of user
const url = 'https://api.fxbsky.app/2/profile/bsky.app/following?count=20';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.fxbsky.app/2/profile/bsky.app/following?count=20'Returns a page in the same shape as FxTwitter GET /2/profile/{handle}/following (code, results, cursor). handle may be a handle or DID. Pagination uses Bluesky app.bsky.graph.getFollows: pass the prior cursor.bottom as the cursor query param. cursor.top is always null.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Example
bsky.appBluesky handle (e.g. user.bsky.social) or DID (did:plc:…)
Query Parameters
Section titled “Query Parameters ”Page size (default 20)
Pagination cursor from prior response (cursor.bottom)
Responses
Section titled “ Responses ”Following page
object
object
Discriminator: full user profile (API v2).
object
object
Facet kind: e.g. url, mention, hashtag, bold, media, custom_emoji (Mastodon custom emoji image)
Start and end UTF-16 indices
object
object
object
object
object
object
Example
{ "results": [ { "type": "profile", "verification": { "type": "organization" } } ]}Invalid path or query parameters (e.g. count out of range)
object
Example
{ "code": 400}Actor not found or list unavailable
object
object
Discriminator: full user profile (API v2).
object
object
Facet kind: e.g. url, mention, hashtag, bold, media, custom_emoji (Mastodon custom emoji image)
Start and end UTF-16 indices
object
object
object
object
object
object
Example
{ "results": [ { "type": "profile", "verification": { "type": "organization" } } ]}Upstream or processing error
object
object
Discriminator: full user profile (API v2).
object
object
Facet kind: e.g. url, mention, hashtag, bold, media, custom_emoji (Mastodon custom emoji image)
Start and end UTF-16 indices
object
object
object
object
object
object
Example
{ "results": [ { "type": "profile", "verification": { "type": "organization" } } ]}